import json


class Instance:
    ''' The releveant data of the virtual machine instances
        This data would be sent by the interface to the portal,
        when it requests a virtual machine instance and vica versa
    '''

    ssh_keys = None
    console_access_url = None

    def __init__(self, id, name, resource, resource_name, image_id,
                 disks=None, interfaces=None):
        self.id = id
        self.name = name
        self.resource = resource
        self.resource_name = resource_name
        self.image = image_id
        self.disks = [disks]
        self.interfaces = None

    def JSON(self):
        return json.dump(self)
